<template>
  <div id="map-1">
    <el-row>
      <el-col :span="24" class="main">
        <el-col :span="24" class="one" :style="{ height: client.innerHeight - 165 + 'px' }">
          <el-button @click="toBtn()">地图点击</el-button>
        </el-col>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import { mapState, createNamespacedHelpers } from 'vuex';
export default {
  name: 'map-1',
  props: {
    client: { type: Object },
  },
  components: {},
  data: function () {
    return {};
  },
  created() {},
  methods: {
    toBtn() {
      this.$message({ message: `点击事件`, type: 'success' });
    },
  },
  computed: {
    ...mapState(['user']),
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
  watch: {
    test: {
      deep: true,
      immediate: true,
      handler(val) {},
    },
  },
};
</script>

<style lang="less" scoped>
.main {
  .one {
    color: #000;
    text-align: center;
  }
}
</style>
